Package com.independentsoft.msg

# Enum Class RecurrenceType

java.lang.Object
java.lang.Enum<RecurrenceType>
com.independentsoft.msg.RecurrenceType

All Implemented Interfaces:
  `Serializable`, `Comparable<RecurrenceType>`, `Constable`

public enum RecurrenceType extends Enum<RecurrenceType>
Specifies the recurrence pattern type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAILY`
  Represents a daily recurrence pattern.
  `MONTH_NTH`
  Represents a MonthNth recurrence pattern.
  `MONTHLY`
  Represents a monthly recurrence pattern.
  `NONE`
  None.
  `WEEKLY`
  Represents a weekly recurrence pattern.
  `YEAR_NTH`
  Represents a YearNth recurrence pattern.
  `YEARLY`
  Represents a yearly recurrence pattern.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RecurrenceType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static RecurrenceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DAILY

    public static final RecurrenceType DAILY
    Represents a daily recurrence pattern.

  - ### WEEKLY

    public static final RecurrenceType WEEKLY
    Represents a weekly recurrence pattern.

  - ### MONTHLY

    public static final RecurrenceType MONTHLY
    Represents a monthly recurrence pattern.

  - ### MONTH_NTH

    public static final RecurrenceType MONTH_NTH
    Represents a MonthNth recurrence pattern.

  - ### YEARLY

    public static final RecurrenceType YEARLY
    Represents a yearly recurrence pattern.

  - ### YEAR_NTH

    public static final RecurrenceType YEAR_NTH
    Represents a YearNth recurrence pattern.

  - ### NONE

    public static final RecurrenceType NONE
    None.

- ## Method Details

  - ### values

    public static RecurrenceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RecurrenceType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null